Subject: Re: bug#14824: 24.3.50; Regression: problem with undo in Mail mode

From: Glenn Morris <[email-masked]>
Date: Tue, 09 Jul 2013 11:59:53 -0400

>> A shot in the dark: it might be due to the finer timestamps (since
>> these were introduced fairly recently, whereas Aaron's code is actually
>> pretty old (even tho it was installed only recently)).

As another data point, the problem only happens with buffers that are
not visiting files.

> I am a little surprised this was broken in trunk for the last 6
> months, and nobody had noticed. 

I'm not that surprised.

> The automated test suite could catch this by adding a line containing
> (should (not (buffer-modified-p))) to one of the unit tests.

Yep.